Loading...
Searching...
No Matches
GeisGestureClass Class Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control » Input Devices » Gesture Classes

A defined gesture classifier. More...

`#include <geis.h>`

## Public Member Functions

Gesture Class Attributes
void | geis_gesture_class_ref (GeisGestureClass gesture_class)
| Increments the reference count of a gesture class object.
void | geis_gesture_class_unref (GeisGestureClass gesture_class)
| Decrements the reference count of a gesture class object.
GeisString | geis_gesture_class_name (GeisGestureClass gesture_class)
| Gets the name of the gesture class.
GeisInteger | geis_gesture_class_id (GeisGestureClass gesture_class)
| Gets the numeric identifier of the gesture class.
GeisSize | geis_gesture_class_attr_count (GeisGestureClass gesture_class)
| Gets the number of attributes of the gesture class.
GeisAttr | geis_gesture_class_attr (GeisGestureClass gesture_class, int index)
| Gets the indicated attribute of the gesture class.

## Detailed Description

A defined gesture classifier.

GeisGestureClass objects are created by the GEIS API and are reference counted. An application needs to increment and decrement the reference count of a gesture class object to control its persistence.

The documentation for this class was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h